Keep label styling on switching to Rule-based labelling mode

2017-12-21 01:06 PM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 25630

Description

When you set up labels properties and then switch to rule-based, all styling gets discarded to default - background, shadows, etc.

In contrast, when you switch from single symbol to rule-based symbology a first rule is added with all the styling preserved, so you can

then duplicate rules.

This strategy is very convenient and should be implemented for switching to rule-based labelling mode also.

Associated revisions

Revision 05161362 - 2018-01-19 09:10 PM - Nyall Dawson

Keep label settings when changing between rulebased/simple labeling

Fixes #17734

History

#1 - 2018-01-19 09:10 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|05161362d3876a2b1a6660a0027ace094f86ef8f.

#2 - 2018-02-22 11:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented
